summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-03-05 15:56:06 +0000
committerPatrice Clement <monsieurp@gentoo.org>2016-03-05 15:57:05 +0000
commitfc8d8119237f7bc8bad62634301d2e5c3e5dc3fa (patch)
treedc4194e910f957a42aaa06370e2de8dbfe8574e5 /dev-java/jtreemap
parentdev-java/sablecc: Clean up old. (diff)
downloadgentoo-fc8d8119237f7bc8bad62634301d2e5c3e5dc3fa.tar.gz
gentoo-fc8d8119237f7bc8bad62634301d2e5c3e5dc3fa.tar.bz2
gentoo-fc8d8119237f7bc8bad62634301d2e5c3e5dc3fa.zip
dev-java/jtreemap: EAPI 5 bump. Switch to java-pkg-simple.
Package-Manager: portage-2.2.26
Diffstat (limited to 'dev-java/jtreemap')
-rw-r--r--dev-java/jtreemap/Manifest1
-rw-r--r--dev-java/jtreemap/jtreemap-1.1.0-r1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-java/jtreemap/Manifest b/dev-java/jtreemap/Manifest
index 785749b2953..d51fe8cec48 100644
--- a/dev-java/jtreemap/Manifest
+++ b/dev-java/jtreemap/Manifest
@@ -1 +1,2 @@
DIST jtreemap-1.1.0-src.zip 7358161 SHA256 c6e27ec233e0da4e9ca7dc8b9a07ad60e99aad4cf9973c0fc4f37d0e58a158a3 SHA512 61c6b5e22cc839d6cfe8368bbd51db94b3667c8f4064645c3d70f5e6c93b029dd495b64b602570f59559dd99723516a197dcd1d915799411dc7f7c516bfce84c WHIRLPOOL e82944d0317b7ad3848552ebfe474d1bd8b58d13ce59a36f7339c15b8d23ab1ebade829072b79b46606f340c4b664038d1156732d57791cbd191c51d136d7ef2
+DIST jtreemap-1.1.0.zip 7358161 SHA256 c6e27ec233e0da4e9ca7dc8b9a07ad60e99aad4cf9973c0fc4f37d0e58a158a3 SHA512 61c6b5e22cc839d6cfe8368bbd51db94b3667c8f4064645c3d70f5e6c93b029dd495b64b602570f59559dd99723516a197dcd1d915799411dc7f7c516bfce84c WHIRLPOOL e82944d0317b7ad3848552ebfe474d1bd8b58d13ce59a36f7339c15b8d23ab1ebade829072b79b46606f340c4b664038d1156732d57791cbd191c51d136d7ef2
diff --git a/dev-java/jtreemap/jtreemap-1.1.0-r1.ebuild b/dev-java/jtreemap/jtreemap-1.1.0-r1.ebuild
new file mode 100644
index 00000000000..a3c0c8f2f75
--- /dev/null
+++ b/dev-java/jtreemap/jtreemap-1.1.0-r1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Java, open-source library for treemapping"
+HOMEPAGE="http://jtreemap.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}-src.zip -> ${P}.zip"
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE=""
+
+RDEPEND="
+ >=virtual/jre-1.6"
+
+DEPEND="
+ >=virtual/jdk-1.6
+ source? ( app-arch/zip )"
+
+S="${WORKDIR}/${PN}-site-${PV}/JTreeMap"
+
+JAVA_SRC_DIR="src/main"
+
+JAVA_ENCODING="ISO-8859-1"
+
+java_prepare() {
+ pushd .. > /dev/null || die
+ java-pkg_clean
+ popd > /dev/null || die
+}
+
+src_install() {
+ java-pkg-simple_src_install
+ java-pkg_dolauncher ${PN}-demo --main net.sf.jtreemap.swing.example.JTreeMapExample
+}